Subject: Re: [PATCH -next] fs: fix compat_ioctl build for CONFIG_BLOCK=n

From: Randy Dunlap <[email-masked]>
Date: Tue, 15 Dec 2009 11:29:34 -0800

On Mon, 14 Dec 2009 20:16:13 +0000 Arnd Bergmann wrote:

> On Monday 14 December 2009 17:10:05 Randy Dunlap wrote:
> > 
> > From: Randy Dunlap <[email-masked]>
> > 
> > Fix build failure when CONFIG_BLOCK=n:
> > 
> > fs/compat_ioctl.c:1604: error: 'SG_SET_TRANSFORM' undeclared
> > 
> > Signed-off-by: Randy Dunlap <[email-masked]>
> 
> Your patch is obviously correct, but I wonder if we could just drop
> the line completely, given that no driver in the kernel actually
> implements this ioctl command. It was part of the ide-scsi driver
> until 2.6.28, but that driver was removed in 2.6.29.

I checked with Jens, he says yes, drop that case.
Do you want to do that or should I send another patch?

thanks,
---
~Randy